<template>
	 <section id="cg-similiar-product-wrap" class="cg-similiar-product-wrap">
            <div class="cg-container">
                <div class="container">
                    <div class="row">
                        <h4 class="cg-sub-heading second font1 f20 text-center w700 d-block">Similiar Products</h4>
                    </div>

                    <div class="row">

                        <div class="col-md-3" v-for="similar_product in similar_products_">
                            <div class="cg-featured-item-wrap first-bg">
                                <a :href="similar_product.product_url" class="cg-featured-item-achor">
                                    <img class="product-thumb img-fluid" v-lazy="similar_product.cover_photo_path" :alt="similar_product.name">
                                </a>
                                <div class="cg-card-text-wrap">
                                    <a :href="similar_product.product_url">

                                        <div class="cg-price-bubble justify-content-center align-items-center">
                                            <h3 class="cg-product-price first w600 font1"><span v-if="similar_product.price">${{ similar_product.price }}</span><span v-if="!similar_product.price">Free</span></h3>
                                        </div>
                                        <h4 class="cg-product-name second font1 f100p w700 pad-top-sml pad-left-mdm">{{ similar_product.name | subStrName}}</h4>
                                    </a>
                                    <div class="cg-store-in-category">
                                        <a :href="similar_product.author.profile_url">
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">{{ similar_product.author.user_profile.store_name | subStrStore}}</h6>
                                        </a>
                                        <a>
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">in </h6>
                                        </a>

                                        <a :href="similar_product.product_sub_category.product_sub_category_url">
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">{{ similar_product.product_sub_category.name }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>




                    </div>
                </div>
            </div>
        </section>

</template>

<script>
	export default {
        props: ['similar_products'],
        data() {
            return {

                similar_products_ : JSON.parse(this.similar_products),
            }
        },
        filters: {

            subStrName: function(string)
            {
                if(string.length >25)
                {
                    return string.substring(0,22) + '...';
                }
                else
                {
                    return string.substring(0,25);
                }
            },

            subStrStore: function(string)
            {
                if(string.length >26)
                {
                    return string.substring(0,23) + '...';
                }
                else
                {
                    return string.substring(0,23);
                }
            }

        },
        mounted() {
        }
    }
</script>
